hdb.h File Reference
`#include <errno.h>`
`#include <assert.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <pthread.h>`
`#include <stdint.h>`
`#include <inttypes.h>`
`#include <qb/qbhdb.h>`
Include dependency graph for hdb.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | _GNU_SOURCE
#define | HDB_D_FORMAT QB_HDB_D_FORMAT
#define | HDB_X_FORMAT QB_HDB_X_FORMAT
#define | hdb_handle_database qb_hdb
#define | DECLARE_HDB_DATABASE QB_HDB_DECLARE

## Typedefs

typedef qb_handle_t | hdb_handle_t

## Macro Definition Documentation

## _GNU_SOURCE

#define _GNU_SOURCE

Definition at line 40 of file hdb.h.

## DECLARE_HDB_DATABASE

#define DECLARE_HDB_DATABASE QB_HDB_DECLARE

Definition at line 98 of file hdb.h.

## HDB_D_FORMAT

#define HDB_D_FORMAT QB_HDB_D_FORMAT

Definition at line 57 of file hdb.h.

## hdb_handle_database

#define hdb_handle_database qb_hdb

Definition at line 60 of file hdb.h.

## HDB_X_FORMAT

#define HDB_X_FORMAT QB_HDB_X_FORMAT

Definition at line 58 of file hdb.h.

## Typedef Documentation

## hdb_handle_t

typedef qb_handle_t hdb_handle_t

Definition at line 52 of file hdb.h.